kind: ZarfPackageConfig
metadata:
  name: kubevirt
  description: "Add Kubevirt for enabling VM-based workloads in Kubernetes across an airgap"

components:
  - name: kubevirt
    required: true

    charts:
      - name: kubevirt
        url: https://repo1.dso.mil/platform-one/big-bang/apps/third-party/kubevirt.git
        version: 0.58.0-bb.0
        gitPath: chart
        namespace: kubevirt
        valuesFiles:
          - chart/values.yaml

    images:
      - registry.dso.mil/platform-one/big-bang/apps/third-party/kubevirt/virt-api:v0.58.0
      - registry.dso.mil/platform-one/big-bang/apps/third-party/kubevirt/virt-controller:v0.58.0
      - registry.dso.mil/platform-one/big-bang/apps/third-party/kubevirt/virt-launcher:v0.58.0
      - registry.dso.mil/platform-one/big-bang/apps/third-party/kubevirt/virt-handler:v0.58.0
      - registry.dso.mil/platform-one/big-bang/apps/third-party/kubevirt/virt-operator:v0.58.0
